#include <bits/stdc++.h>

#define ll long long

int main()
{
    ll N, n2, j = 1;
    std::cin >> N;
    n2 = 2 * N;

    for(ll i = 0; i < N; i++)
    {
        if(i & 1)
            std::cout << j++ << " ";
        else
            std::cout << n2-- << " ";
    }

    std::cout << "\n";

    for(ll i = N; i < 2 * N; i++)
    {
        if(i & 1)
            std::cout << j++ << " ";
        else
            std::cout << n2-- << " ";
    }

    return 0;
}